Subject: bug#75812: 29.2.50; Support native-compiling package-install from batch Emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Jan 2025 09:57:22 +0200

> Cc: [email-masked], [email-masked]
> Date: Fri, 24 Jan 2025 17:35:50 -0500
> From:  Spencer Baugh via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> > Sounds good to me, thanks.  We'll take patches implementing this.
> 
> I'm happy to implement this, I'm just a bit lost about where to start.
> I tried the obvious "iterate over *.el files in the package directory,
> calling native-compile", but that failed on various files in various
> packages.

Why not simply wait till all the async subprocesses compiling to
native code finish and exit?  Bonus points for displaying some kind of
status or progress messages while waiting, so the user is informed why
the wait.

Andrea, is there a better way you can suggest?